Subject: Re: "variable not found in subplan target list"

From: Tom Lane <[email-masked]>
Date: Tue, 28 Mar 2023 07:38:25 -0400

Alvaro Herrera <[email-masked]> writes:
> I have to run now so can't dissect it, but while running sqlsmith on the
> SQL/JSON patch after Justin's report, I got $SUBJECT in this query:

Reproduces in HEAD and v15 too (once you replace pg_catalog.system_user
with some function that exists in v15).  So it's not the fault of the
JSON patch, nor of my outer-join hacking which had been my first thought.

			regards, tom lane